package exo4;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.SocketTimeoutException;
import java.lang.Thread;

public class Sender extends Thread{
	
	public Socket socket;

	public Sender(Socket s) {
		socket = s;
	}

	public void run() {
		try { // Handle exceptions below

		System.out.println("Dong");

		// Get an input stream from the socket and wrap a BufferedReader
		// around it, so we can read lines of text from the server.
		BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));

		
		// Now read lines from the server until the server closes the
		// connection (and we get a null return indicating EOF) or until
		// the server is silent for 3 seconds.
		try {
			String line;
			while ((line = in.readLine()) != null)
				// If we get a line
				System.out.println(line); // print it out.
		} catch (SocketTimeoutException e) {
			// We end up here if readLine() times out.
			System.err.println("Timeout; no response from server.");
		}
		
		in.close(); // Close the input stream 	
		} catch (IOException e) { // Handle IO and network exceptions here
			System.err.println(e);
		} catch (NumberFormatException e) { // Bad port number
			System.err.println("You must specify the port as a number");
		} catch (ArrayIndexOutOfBoundsException e) { // wrong # of args
			System.err.println("Usage: Connect <hostname> <port> message...");
		}	
	}	
}